static_resources:
  listeners:
    - address:
        socket_address:
          address: 0.0.0.0
          port_value: 6443
      filter_chains:
        - filters:
          - name: envoy.filters.network.tcp_proxy
            typed_config:
              '@type': "type.googleapis.com/envoy.extensions.filters.network.tcp_proxy.v3.TcpProxy"
              stat_prefix: tcp_proxy
              cluster: kubemaster
  clusters:
    - name: kubemaster
      connect_timeout: 50s
      type: static
      lb_policy: round_robin
      load_assignment:
        cluster_name: kubemaster
        endpoints:
          - lb_endpoints:
{% for master in kubemasters %}
            - endpoint:
                address:
                  socket_address:
                    address: {{ master }}
                    port_value: 6443
   
{% endfor %}
admin:
  access_log_path: /tmp/admin_access.log
  address:
    socket_address:
      address: 0.0.0.0
      port_value: 10050